clear fitline; clear xy; clear xx; clear yy; clear fitline; clear chicken;
filenom=input('Name of your data file? ', 's');
ndata=input('How many points do you wish to fit? ');
xaxtitle=input('Title of the x-axis? ', 's');
yaxtitle=input('Title of the y-axis? ', 's');
order = sprintf('%s%s', 'chicken=load(''', filenom,''');');
eval(order);

for i=1:ndata
    xy(i)=chicken(i,1)*chicken(i,2);
    xx(i)=chicken(i,1)^2;
    yy(i)=chicken(i,2)^2;
end;

sxx=sum(xx)-ndata*mean(chicken(1:ndata,1))^2;
syy=sum(yy)-ndata*mean(chicken(1:ndata,2))^2;
sxy=sum(xy)-ndata*mean(chicken(1:ndata,1))*mean(chicken(1:ndata,2));
slope=sxy/sxx;
s=sqrt((syy-sxy*slope)/(ndata-2));
intercept=mean(chicken(1:ndata,2))-slope*mean(chicken(1:ndata,1));
erri=s*sqrt((1/ndata+(1/sxx)*mean(chicken(1:ndata,1))^2));
errs=s/sqrt(sxx);
part1=0;
part2=0;
meandata=mean(chicken(1:ndata,2));
for i=1:ndata
    fitline(i)=slope*chicken(i,1)+intercept;
    part1=part1+(chicken(i,2)-fitline(i))^2;
    part2=part2+(chicken(i,2)-meandata)^2;
end;
rsq=1-part1/part2;
plot(chicken(1:ndata,1),chicken(1:ndata,2));
hold on;
plot(chicken(1:ndata,1),fitline,'k');
hold off;
h_legend=xlabel(xaxtitle);
set(h_legend,'FontSize',20); 
h_legend=ylabel(yaxtitle);
set(h_legend,'FontSize',20);

order = sprintf('%s%g%s%g', 'The slope is ',slope,' +- ',errs,'\n');
fprintf(order);
order = sprintf('%s%g%s%g', 'The intercept is ',intercept,' +- ',erri,'\n');
fprintf(order);
order = sprintf('%s%g%s', 'R^2 is ',rsq,'\n');
fprintf(order);

